Skip to main content
GET
Retrieve Site Stats Over a Date Range

Authorizations

Authorization
string
header
required

Authenticate requests by providing a JSON Web Token (JWT) in the Authorization header. Example: Authorization: Bearer <YOUR_JWT>

Path Parameters

siteId
string<uuid>
required

The UUID of the site.

Query Parameters

start_date
string<date>
required

The start date for the query range (inclusive).

Example:

"2025-10-28"

end_date
string<date>
required

The end date for the query range (inclusive).

Example:

"2025-10-29"

Response

A list of performance metric snapshots.

created_at
string<date-time>

The timestamp when these stats were recorded.

Example:

"2025-10-29T11:47:00Z"

cpu_load
integer

The CPU load percentage.

Example:

15

memory_free
integer

The amount of free memory in bytes.

Example:

876543210

disk_free
integer

The amount of free disk space in bytes.

Example:

123456789

uptime
integer

The device uptime in seconds.

Example:

312780